import { getRecentDate, getRecentDateRange } from '/@/utils/util';

export const enum TimeRangeEnum {
	CurrentDay,
	ThreeDay,
	SevenDay,
}

export const timeRangeEnumMapTitle = {
	[TimeRangeEnum.CurrentDay]: '当日',
	[TimeRangeEnum.ThreeDay]: '近三日',
	[TimeRangeEnum.SevenDay]: '近七日',
};
export const timeRangeEnumMapValue = {
	[TimeRangeEnum.CurrentDay]: () => getRecentDateRange(1),
	[TimeRangeEnum.ThreeDay]: () => getRecentDateRange(3),
	[TimeRangeEnum.SevenDay]: () => getRecentDateRange(7),
};

export const enum DisplayModeType {
	List = 'list',
	Chart = 'chart',
}

export const displayModeTypeMap = {
	[DisplayModeType.Chart]: '图表',
	[DisplayModeType.List]: '列表',
};
